Subject: bug#59633: closed (Re: bug#59633: 29.0.50; tree-sitter-bash: Incorrect behaviour of heredocs with expansions)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Dec 2022 15:06:03 +0000

Your bug report

#59633: 29.0.50; tree-sitter-bash: Incorrect behaviour of heredocs with expansions

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59633: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59633
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59633: 29.0.50; tree-sitter-bash: Incorrect behaviour of heredocs with expansions
From: <[email-masked]>
To: Yuan Fu <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Dec 2022 16:07:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Yuan Fu <[email-masked]> writes:

> Seems to be tree-sitter-bash problem, I submitted an issue at
> https://github.com/tree-sitter/tree-sitter-bash/issues/139

Thanks. As this seems to be a tree-sitter-bash problem, I'm closing this
bug.

> Yuan

Subject: 29.0.50; tree-sitter-bash: Incorrect behaviour of heredocs with expansions
From: [email-masked]
To: [email-masked]
Date: Sun, 27 Nov 2022 17:33:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Visit empty buffer test in fundamental mode (C-x b test RET)
2. Insert

tee << EOF
text1 $var
text2 $(echo cmd)
text3
$var2
EOF

3. Put point before "text2"
4. M-x load-library RET treesit RET
5. M-: (treesit-node-children (treesit-node-at (point) 'bash))

    => (#<treesit-node (simple_expansion) in 18-22>
        #<treesit-node (command_substitution) in 29-40>)

   Note that this list is incorrect, "$var2" at the end of heredoc is
   missing.

6. M-: (treesit-node-first-child-for-pos (treesit-node-at (point) 'bash) (point))

   => nil

   Expected return value here is #<treesit-node (command_substitution) in 29-40>

I'm not sure if this bug is on Emacs, tree-sitter-bash or even
tree-sitter itself and I don't know how to check.

tree-sitter-bash version: 0.19.0.r19.g77cf8a7-1
tree-sitter version: 0.20.7-1

Thanks and best regards.